Page MenuHomePhabricator

Full Beta for the ReferencePreviews feature
Closed, ResolvedPublic3 Story Points

Description

At the end of October 2019 (about October 24, if possible), Reference Previews should go "full Beta". Since the Popups extension that holds the code for both Page-Previews and Reference Previews is only enabled on certain wikis (all Wikipedias and a few selected ones), "full Beta" refers to these and only these wikis.

Popups is currently available on the following wikis:

'wmgUsePopups' => [
⠀⠀⠀'default' => false,
⠀⠀⠀'sewikimedia' => true,
⠀⠀⠀'wikipedia' => true,
⠀⠀⠀'enwikivoyage' => true,
⠀⠀⠀'hewikivoyage' => true,
⠀⠀⠀'zhwikivoyage' => true,
],

To do:

  • Create the necessary patch(es) to change the configuration.
  • Put the patch in a SWAT window and babysit it.
  • Reference Previews is available as a Beta-Feature on the wikis already using the Popups extension.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterReference Previews: full beta deployment

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2019, 2:35 PM
awight updated the task description. (Show Details)Oct 9 2019, 2:38 PM
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptOct 9 2019, 2:38 PM
thiemowmde updated the task description. (Show Details)Oct 9 2019, 3:14 PM
thiemowmde set the point value for this task to 3.
JStrodt_WMDE updated the task description. (Show Details)Mon, Oct 21, 1:02 PM

Change 545260 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Reference Previews: full beta deployment

https://gerrit.wikimedia.org/r/545260

We're scheduled for 24 Oct, 8pm German time.

Change 545260 merged by jenkins-bot:
[operations/mediawiki-config@master] Reference Previews: full beta deployment

https://gerrit.wikimedia.org/r/545260

Mentioned in SAL (#wikimedia-operations) [2019-10-24T18:06:29Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: b20d6de: Reference Previews: full beta deployment (T235083) (duration: 00m 52s)

awight closed this task as Resolved.Thu, Oct 24, 6:24 PM
awight claimed this task.
awight moved this task from Sprint Backlog to Done on the WMDE-QWERTY-Sprint-2019-10-23 board.
awight added a subscriber: JStrodt_WMDE.

@JStrodt_WMDE We're deployed on all Wikipedias and the 4 other sites mentioned in the task description!

One strange thing that happened is that c. 2,260 users on en.wikipedia already had the beta feature enabled. I don't understand how that's possible, maybe someone can enlighten me tomorrow?

awight updated the task description. (Show Details)Thu, Oct 24, 6:24 PM
awight added a comment.EditedThu, Oct 24, 8:09 PM

@JStrodt_WMDE We're deployed on all Wikipedias and the 4 other sites mentioned in the task description!
One strange thing that happened is that c. 2,260 users on en.wikipedia already had the beta feature enabled. I don't understand how that's possible, maybe someone can enlighten me tomorrow?

I think it must be users with this setting,

Automatically enable all new beta features